Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

Resend an order

Idempotency Supported

Resend an existing order. This will help in resending an existing order in full or partial. Upto 5 resend operations are allowed per . When resent fully, the original order is canceled.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/orders/{order-id}/resend

Input Parameters

shipping_date
optional, timestamp(UTC) in seconds

The date on which the order should be shipped to the customer.

resend_reason
optional, string, max chars=100

Reason code for resending the order. Must be one from a list of reason codes set in the Chargebee app in Settings > Configure Chargebee > Reason Codes > Orders > Order Resend. Must be passed if set as mandatory in the app. The codes are case-sensitive.

order_line_items[0..n]
Parameters for order_line_items. Multiple order_line_items can be passed by specifying unique indices.
pass parameters as order_line_items[<param name>][<idx:0..n>]

Returns

Order object
Resource object representing order